<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Library Reference Manual: Annotation Glossary</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Library Reference Manual">
<link rel="up" href="index.html" title="GStreamer Bad Plugins 1.0 Library Reference Manual">
<link rel="prev" href="api-index-deprecated.html" title="Index of deprecated API">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"><span id="nav_glossary"><a class="shortcut" href="#glsA">A</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsC">C</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsD">D</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsE">E</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsO">O</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsS">S</a>
                     <span class="dim">|</span> 
                  <a class="shortcut" href="#glsT">T</a></span></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="api-index-deprecated.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><img src="right-insensitive.png" width="16" height="16" border="0"></td>
</tr></table>
<div class="glossary">
<div class="titlepage"><div><div><h1 class="title">
<a name="annotation-glossary"></a>Annotation Glossary</h1></div></div></div>
<a name="glsA"></a><h3 class="title">A</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-allow-none"></a>allow-none</span></dt>
<dd class="glossdef"><p>NULL is ok, both for passing and for returning.</p></dd>
<a name="glsC"></a><h3 class="title">C</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-closure"></a>closure</span></dt>
<dd class="glossdef"><p>This parameter is a 'user_data', for callbacks; many bindings can pass NULL here.</p></dd>
<a name="glsD"></a><h3 class="title">D</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-destroy"></a>destroy</span></dt>
<dd class="glossdef"><p>This parameter is a 'destroy_data', for callbacks.</p></dd>
<a name="glsE"></a><h3 class="title">E</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-element-type"></a>element-type</span></dt>
<dd class="glossdef"><p>Generics and defining elements of containers and arrays.</p></dd>
<a name="glsO"></a><h3 class="title">O</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-out"></a>out</span></dt>
<dd class="glossdef"><p>Parameter for returning results. Default is <acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>.</p></dd>
<a name="glsS"></a><h3 class="title">S</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-scope%20async"></a>scope async</span></dt>
<dd class="glossdef"><p>The callback is valid until first called.</p></dd>
<dt><span class="glossterm"><a name="annotation-glossterm-scope%20notified"></a>scope notified</span></dt>
<dd class="glossdef"><p>The callback is valid until the GDestroyNotify argument is called.</p></dd>
<a name="glsT"></a><h3 class="title">T</h3>
<dt><span class="glossterm"><a name="annotation-glossterm-transfer%20container"></a>transfer container</span></dt>
<dd class="glossdef"><p>Free data container after the code is done.</p></dd>
<dt><span class="glossterm"><a name="annotation-glossterm-transfer%20full"></a>transfer full</span></dt>
<dd class="glossdef"><p>Free data after the code is done.</p></dd>
<dt><span class="glossterm"><a name="annotation-glossterm-transfer%20none"></a>transfer none</span></dt>
<dd class="glossdef"><p>Don't free data after the code is done.</p></dd>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>